<?php
/**
 * Default theme options.
 *
 * @package prime-construction  
 */

if ( ! function_exists( 'prime_construction_get_default_theme_options' ) ) :

	/**
	 * Get default theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
function prime_construction_get_default_theme_options() {

	$defaults = array();
	

    // Front Page Content
	$defaults['enable_frontpage_content'] 		= true;

	// Slider Section	
	$defaults['enable_featured_slider_section']		    	= true;
	//$defaults['show_slider_colors']		    			= false;	
	$defaults['featured_slider_content_type']		    	= 'featured_slider_page';
	$defaults['featured_slider_category_readmore_text']		= esc_html__('Read More','prime-construction');
	$defaults['data_slick_speed']					    	= 1000;
	$defaults['data_slick_infinite']				    	= 1;
	$defaults['data_slick_dots']					    	= 1;
	$defaults['data_slick_autoplay']				    	= 1;
	$defaults['data_slick_draggable']				    	= 1;
	$defaults['data_slick_fade']					    	= 1;
	$defaults['number_of_featured_slider_items']	    	= 6;

	// What We Offer Section	
	$defaults['featured_whatweoffer_title']			        	= esc_html__( 'CORE SERVICES', 'prime-construction' );
	$defaults['featured_whatweoffer_subtitle']			        = esc_html__( 'Comprehensive', 'prime-construction' );
	$defaults['featured_whatweoffer_subtitle1']			        = esc_html__( 'Construction Solutions', 'prime-construction' );
	$defaults['featured_icon_whatweoffer']					    = 'fas fa-solar-panel';
	$defaults['number_of_featured_whatweoffer_items']			= 6;
	$defaults['featured_whatweoffer_card_title']	    	    = esc_html__( 'Solar Panels Erection whatweoffer', 'prime-construction' );
	$defaults['featured_whatweoffer_card_paragraph']			= 'Suspendisse natoque elit in eget orci amet volutpat, est. Integer mauris feugiat';
	$defaults['featured_whatweoffer_button']	    			= esc_html__( 'View All Services →', 'prime-construction' );	
	$defaults['featured_icon_card_icon']			        	= 'fas fa-arrow-right';
	$defaults['featured_whatweoffer_column']					= 3;
	$defaults['whatweoffer_excerpt_length']						= 8;
	$defaults['featured_whatweoffer_content_type']				= 'featured_whatweoffer_page';	
    $default['whatweoffer_enable_section']						= true;
	// Pass through filter.
	$defaults = apply_filters( 'prime_construction_filter_default_theme_options', $defaults );
	return $defaults;

	// Inner Blog Page	
	
	$defaults['featured_bloginn_botton_text']				= esc_html__( 'Read More', 'prime-construction' );

}

endif;

/**
*  Get theme options
*/
if ( ! function_exists( 'prime_construction_get_option' ) ) :

	/**
	 * Get theme option
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Option key.
	 * @return mixed Option value.
	 */
	function prime_construction_get_option( $key ) {

		$default_options = prime_construction_get_default_theme_options();
		if ( empty( $key ) ) {
			return;
		}

		$theme_options = (array)get_theme_mod( 'theme_options' );
		$theme_options = wp_parse_args( $theme_options, $default_options );

		$value = null;

		if ( isset( $theme_options[ $key ] ) ) {
			$value = $theme_options[ $key ];
		}

		return $value;

	}

endif;
